Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.transformer
Class ResultTreeFrag

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode
            |
            +--org.apache.xalan.stree.Child
                  |
                  +--org.apache.xalan.stree.Parent
                        |
                        +--org.apache.xalan.stree.DocumentImpl
                              |
                              +--org.apache.xalan.stree.DocumentFragmentImpl
                                    |
                                    +--org.apache.xalan.transformer.ResultTreeFrag

public class ResultTreeFrag
extends DocumentFragmentImpl
implements NodeList

**For internal use only** Container of a result tree fragment.

Constructor Summary
`ResultTreeFrag(Document docFactory, NodeSet children, XPathContext support)` **For internal use only**
`ResultTreeFrag(Document docFactory, XPathContext support)` **For internal use only**

Method Summary
`NodeList` | `getChildNodes()` **For internal use only**
`int` | `getLength()` **For internal use only** The number of nodes in the list.
`Document` | `getOwnerDocument()` **For internal use only** The `Document` object associated with this node.
`Node` | `item(int index)` **For internal use only** Returns the `index` th item in the collection.

Methods inherited from class org.apache.xalan.stree.DocumentFragmentImpl
`getLocalName, getNodeName, getNodeType`

Methods inherited from class org.apache.xalan.stree.DocumentImpl
`appendChild, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createProcessingInstruction, createTextNode, getDoctype, getDocumentElement, getElementById, getIDAttributes, getLevelIndexer, getUseMultiThreading, importNode, setIDAttribute, setUseMultiThreading`

Methods inherited from class org.apache.xalan.stree.Parent
`getChild, getChildCount, getChildUID, getFirstChild, getLastChild, hasChildNodes, isComplete, setComplete`

Methods inherited from class org.apache.xalan.stree.Child
`getAttributes, getChildPosition, getLevel, getNamespaceURI, getNextSibling, getParentNode, getPrefix, getPreviousSibling, getTagName, getUid, isNamespaceNode, setAttribute, setLevel, supports`

Methods inherited from class org.apache.xalan.utils.UnImplNode
`appendData, cloneNode, createAttribute, createEntityReference, deleteData, error, error, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getImplementation, getNodeValue, getOwnerElement, getSpecified, hasAttribute, hasAttributeNS, hasAttributes, insertBefore, insertData, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, replaceData, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setNodeValue, setPrefix, setValue, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultTreeFrag

    public ResultTreeFrag(Document docFactory,
                          XPathContext support)

### ResultTreeFrag

    public ResultTreeFrag(Document docFactory,
                          NodeSet children,
                          XPathContext support)

Method Detail

### getChildNodes

    public NodeList getChildNodes()

  Overrides:
    getChildNodes in class UnImplNode

### item

    public Node item(int index)

  **For internal use only** Returns the `index` th item in the collection. If `index` is greater than or equal to the number of nodes in the list, this returns `null` .
  Specified by:
    item in interface NodeList
  Parameters:
    `index` - Index into the collection.
  Returns:
    The node at the `index` th position in the `NodeList` , or `null` if that is not a valid index.
  Overrides:
    item in class UnImplNode

### getLength

    public int getLength()

  **For internal use only** The number of nodes in the list. The range of valid child node indices is 0 to `length-1` inclusive.
  Specified by:
    getLength in interface NodeList
  Overrides:
    getLength in class UnImplNode

### getOwnerDocument

    public Document getOwnerDocument()

  **For internal use only** The `Document` object associated with this node. This is also the `Document` object used to create new nodes. When this node is a `Document` or a `DocumentType` which is not used with any `Document` yet, this is `null`.
  Overrides:
    getOwnerDocument in class Child

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.